Subject: bug#17073: 24.3.50; file-symlink-p doesn't return t as described in the doc

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 Mar 2014 18:10:12 +0200

> From: Juanma Barranquero <[email-masked]>
> Date: Mon, 24 Mar 2014 18:01:04 +0100
> Cc: Michael Heerdegen <[email-masked]>, [email-masked]
> 
> On Mon, Mar 24, 2014 at 5:49 PM, Eli Zaretskii <[email-masked]> wrote:
> 
> > Not sure which part needs love.  Could you perhaps point out the
> > unclear parts?
> 
>   First, this function recursively follows symbolic
>      links at all levels of parent directories.
> 
> On one hand, though I suppose "First, this function recursively
> follows..." means "This function, first of all, recursively
> follows...", my instinct is that it is the start of an enumeration, so
> I expect a "Second, it ...".
> 
> On the other hand, you've explained that this:
> 
>     If the file FILENAME is a symbolic link, the `file-symlink-p'
>      function returns the (non-recursive) link target as a string.
> 
> talks about the 'file (a.k.a. "basename") part of the file name', and this
> 
>   First, this function recursively follows symbolic
>      links at all levels of parent directories.
> 
> talks about the 'leading directories part'. Well, I don't find that clear.

I tried to clarify and improve the documentation in revision 116859 on
the emacs-24 branch, please take a look.